/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.shotoku.svn.service;

import javax.annotation.Resource;
import javax.ejb.Local;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.ejb.Timeout;
import javax.ejb.Timer;
import javax.management.MalformedObjectNameException;

import org.jboss.mx.util.MBeanProxyExt;
import org.jboss.mx.util.MBeanServerLocator;
import org.jboss.shotoku.svn.SvnService;

/**
 * @author Adam Warski (adamw@aster.pl)
 * @author Damon Sicore (damon@sicore.com)
 * @deprecated
 */
@Stateless
@Local(SvnServiceTimerLocal.class)
public class SvnServiceTimer {
	//private static final Logger log = Logger.getLogger(SvnServiceTimer.class);
	private @Resource SessionContext ctx;
	private SvnServiceLocal ssi;
	
	public void scheduleTimer(long interval) {
		//ctx.getTimerService().createTimer(new Date(new Date().getTime() + interval), null);
		ctx.getTimerService().createTimer(interval, interval, null);
	}
	
	@Timeout
	public void timeoutHandler(Timer timer) {
		if (ssi == null) {
			try {
				ssi = ((SvnServiceLocal) MBeanProxyExt.create(
							SvnServiceLocal.class, 
						SvnService.SVN_SERVICE_NAME,
						MBeanServerLocator.locate()));
			} catch (MalformedObjectNameException e) { 
				e.printStackTrace();
			}
		}
		
		ssi.update();
	}
}
