/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.shotoku.test;

import java.util.HashSet;
import java.util.Set;

import org.apache.commons.configuration.Configuration;
import org.jboss.shotoku.svn.SvnService;

public class DummyService implements SvnService {
	private Set<String> modified;
	private Set<String> modifiedD;
	private Set<String> deleted;
	
	public DummyService() {
		modified = new HashSet<String>();
		modifiedD = new HashSet<String>();
		deleted = new HashSet<String>();
	}
	
	private void printSet(String h, Set<String> s) {
		System.out.println(h + " ----------------");
		for (String n : s) {
			System.out.println(n);
		}
	}
	
	public void registerRepository(String id, Configuration conf) {
			
	}

	public boolean isModified(String id, String fullPath) {
		return isNodeModified(id, fullPath) || isDirectoryModified(id, fullPath);
	}

	public void addToDeleted(String id, String fullPath) {
		modified.remove(fullPath);
		modifiedD.remove(fullPath);
		
		deleted.add(fullPath);
		printSet("Del ", deleted);
	}

	public boolean isDeleted(String id, String fullPath) {
		return deleted.contains(fullPath);
	}

	public void addNodeToModfied(String id, String fullPath) {
		deleted.remove(fullPath);
		
		modified.add(fullPath);
		printSet("Nod ", modified);
	}

	public boolean isNodeModified(String id, String fullPath) {
		//return true;
		return modified.contains(fullPath);
	}

	public void addDirectoryToModfied(String id, String fullPath) {
		deleted.remove(fullPath);
		
		modifiedD.add(fullPath);
		printSet("Dir ", modifiedD);
	}

	public boolean isDirectoryModified(String id, String fullPath) {
		//return true;
		return modifiedD.contains(fullPath);
	}

	public void create() throws Exception {
		
	}

	public void start() throws Exception {
		
	}

	public void stop() {
		
	}

	public void destroy() {
		
	}

	public void addTreeToModfied(String id, String fullPath) {
		
	}

	public boolean isTreeModified(String id, String fullPath) {
		return false;
	}

}
